For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate a return.
      • GETGet Return Orders
      • GETGet Return Order
      • PUTModify Return Order
      • POSTCancel Return Order
    • OpenAPI spec
LogoLogo
API ReferenceReturns

Cancel Return Order

||View as Markdown|
POST
/2025-07/return/:id:cancel
POST
/2025-07/return/:id:cancel
$curl -X POST https://api.shipbob.com/2025-07/return/id:cancel \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>"
1{
2 "channel": {
3 "id": 0,
4 "name": "ShipBobs-Shopify-Store"
5 },
6 "completed_date": "2019-08-24T14:15:22Z",
7 "customer_name": "string",
8 "fulfillment_center": {
9 "id": 0,
10 "name": "Cicero (IL)"
11 },
12 "id": 0,
13 "insert_date": "2019-08-24T14:15:22Z",
14 "inventory": [
15 {
16 "action_requested": {
17 "action": 0,
18 "action_type": "InventoryDefault",
19 "instructions": "string"
20 },
21 "action_taken": [
22 {
23 "action": 0,
24 "action_reason": "string",
25 "quantity_processed": 1
26 }
27 ],
28 "id": 0,
29 "name": "string",
30 "quantity": 0
31 }
32 ],
33 "invoice_amount": 0.1,
34 "original_shipment_id": 0,
35 "reference_id": "string",
36 "return_type": "Regular",
37 "status": "AwaitingArrival",
38 "store_order_id": "string",
39 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
40 "transactions": [
41 {
42 "amount": 2.5,
43 "transaction_type": "ReturnLabelInvoice"
44 }
45 ]
46}
Was this page helpful?
Previous

Modify Return Order

Next

Create Subscription

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
Id of the return order

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel Id for Operation

Response

Success
channelobject
Created by channel metadata
completed_datedatetime or null
Completed date for a return order.
customer_namestring or null
Customer name from the related shipment.
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the Return Order
insert_datedatetime
Date this return order was created
inventorylist of objects or null
List of inventory included in the return order
invoice_amountdouble or null

Invoiced amount of return order (sum of transaction amounts)

original_shipment_idinteger or null
Id of the corresponding shipment that is the souce of the return
reference_idstring or null

Client-defined external unique id of the return order

return_typeenum
Regular ReturnToSender
Allowed values:
statusenum
AwaitingArrival Arrived Processing Completed Cancelled
Allowed values:
store_order_idstring or null
Store order for the related shipment.
tracking_numberstring or null
Tracking number of the return shipment
transactionslist of objects or null
Array of transactions affiliated with the return order

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error